// pages/welfareMall/couponFitFood/index.js
import activity from '../../../api/activity'
import {getColor} from '../../../utils/user'
Page({

    /**
     * 页面的初始数据
     */
    data: {
      config: {},
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: async function (options) {
        console.log(options)
        if (!options.couponId) {
            wx.reLaunch({
              url: '/pages/welfareMall/index/index',
            })
        }
        this.data.couponId = options.couponId
        this.setData({
            couponName: decodeURIComponent(options.couponName),
            bindGoodsType: options.bindGoodsType
        })
        this.loadData()
        let info =  await getColor();
        this.setData({
          config:info.config
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
    loadData() {
        activity.getFoodListByCoupon({
            couponId: this.data.couponId,
            page: 1,
            pageSize: 10000,
        }).then(data => {
            if (data.code == 200) {
                this.dataMapToView(data.data)
            }
        }).catch(_ => {
            console.log(_)
        })
    },
    dataMapToView(data) {
        const foodList = []
        data.forEach(v => {
            foodList.push(v.foodName)
        })
        this.setData({
            foodList: foodList
        })
    }
})